Session Replays

List Replays

GET
/v0/projects/{idOrSlug}/replays

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Query Parameters

sessionId?string
sortBy?string
Value in"date-desc""date-asc""duration-desc""duration-asc""events-desc""events-asc""id-asc""id-desc"
cursorSortValue?string
from?string
to?string
pageSize?string
cursorStartedAt?string
cursorSessionId?string
cursorWindowId?string
collectionId?string
collectionFilterConfig?string
listFilterConfig?string
userIds?string|array<string>

Response Body

Success

application/json
  1. response
items*array<>
nextCursor*|null
Example Request
curl -X GET 'https://api.faststats.dev/v0/projects/string/replays'
Example Response
{  "items": [    {      "sessionId": "string",      "windowId": "string",      "identifier": "string",      "personId": "string",      "externalId": "string",      "email": "string",      "name": "string",      "startedAt": "string",      "endedAt": "string",      "clickCount": 0,      "rageClickCount": 0,      "eventCount": 0,      "chunkCount": 0,      "actualDuration": 0,      "finalizationState": "open",      "coverage": {        "ranges": [          [            0          ]        ],        "terminal": 0,        "unknown": "legacy_contract"      },      "browser": "string",      "country": "string",      "os": "string",      "viewed": true,      "hasSummary": true,      "hasPainPoints": true,      "collectionAddedByName": "string",      "collectionAddedByEmail": "string",      "collectionAddedAt": "string"    }  ],  "nextCursor": {    "sortValue": 0,    "startedAt": 0,    "sessionId": "string",    "windowId": "string"  }}